Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.camera
Class ViewAngleAspectCameraData

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.camera.CameraData
                  |
                  +--quicktime.qd3d.camera.ViewAngleAspectCameraData

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ViewAngleAspectCameraData
extends CameraData
implements quicktime.jdirect.PrimitivesLib

A view angle aspect camera is a perspective camera specified in terms of the minimum view angle and the aspect ratio of X to Y. refer to TQ3ViewAngleAspectCameraData in QuickDraw3d

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`ViewAngleAspectCameraData()` Creates a ViewAngleAspectCameraData object containing no data.
`ViewAngleAspectCameraData(CameraData cameraData, float fov, float aspectRatio)` Creates a ViewAngleAspectCameraData object containing given data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`float` | `getFov()` returns the field of view
`float` | `setAspectRatio()` returns the aspect ratio
`void` | `setAspectRatio(float aspectRatio)` sets the aspect ratio
`void` | `setFov(float fov)` sets the field of view

Methods inherited from class quicktime.qd3d.camera.CameraData
`getEndianDescriptor, getPlacement, getRange, getViewPort, setPlacement, setRange, setViewPort, toString`

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### ViewAngleAspectCameraData

    public ViewAngleAspectCameraData()

  Creates a ViewAngleAspectCameraData object containing no data.

### ViewAngleAspectCameraData

    public ViewAngleAspectCameraData(CameraData cameraData,
                                     float fov,
                                     float aspectRatio)

  Creates a ViewAngleAspectCameraData object containing given data.
  Parameters:
    `camData` - The camera data.
    `fov` - The field of view
    `aspectRatio` - The aspect ratio of x to y

Method Detail

### getFov

    public float getFov()

  returns the field of view

### setAspectRatio

    public float setAspectRatio()

  returns the aspect ratio

### setFov

    public void setFov(float fov)

  sets the field of view

### setAspectRatio

    public void setAspectRatio(float aspectRatio)

  sets the aspect ratio

### clone

    public java.lang.Object clone()

  Returns a copy of this class.
  Overrides:
    `clone` in class `CameraData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD